Subject: bug#15112: 24.3; package.el byte compile autoloads

From: Noam Postavsky <[email-masked]>
Date: Wed, 28 Aug 2019 10:48:24 -0400

Stefan Kangas <[email-masked]> writes:

> package-autoload-ensure-default-file now uses autoload-rubric internally
> and no longer contains the line quoted above with "no-byte-compile".
> However, autoload-rubric still contains it.
>
> I guess the question is if it's there for good reason or could perhaps
> be omitted.  If there's a good reason for it, perhaps this bug should be
> closed as wontfix.
>
> Noam, I noted that you added a comment to this particular line recently
> in commit 1f7b602f84.  Could you perhaps shed some light on why we use
> no-byte-compile here?

As the comment says "#$ is byte-compiled into nil", and we use #$ in the
generated autoloaded file.  So byte-compiling would break it.

I think it would work to use load-file-name instead.